Summary:    IBM Cell Data Communication and Synchronization (DaCS) Library
Name:       dacs
Version:    4.0.0
Release:    2
Group:      Cell Runtime Environment
Vendor:     IBM Corporation
Distribution:	IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     %{name}.tgz
Buildroot:  %{_tmppath}/%{BUILDsubdir}
%define __strip ppu-strip
%define __objdump ppu-objdump

%define BUILDsubdir      %{name}-%{version}-%{release}

# The following keeps RPM from segfaulting when it has links in the install list (grr...)
%define _use_internal_dependency_generator     0

%description
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) runtime Libraries


%package -n dacs-devel
Summary: IBM Cell Data Communication and Synchronization (DaCS) Libraries and Headers
Group: Cell Development Libraries
Requires: %{name} = %{version}
%ifarch ppc
Provides: /usr/spu/lib/libdacs.a
%else # ppc64
Requires: /usr/spu/lib/libdacs.a
%endif

%description -n dacs-devel
The Cell SDK DaCS package  contains Data Communication and Synchronization
(DaCS) libraries and Headers
needed to build DaCS enabled code.

%prep
%setup -q -c -n %{BUILDsubdir}

%build
export DACS_ON_CELL=1
rm -rf $RPM_BUILD_ROOT
cd cell
# now make the regular and debug libraries
%ifarch ppc
make 32BIT=1
make 32BIT=1 DEBUG=1 clean && make 32BIT=1 DEBUG=1
%else # ppc64
make
make DEBUG=1 clean && make DEBUG=1
%endif

%install
export PATH=$PATH:/opt/cell/toolchain/bin
mkdir -p $RPM_BUILD_ROOT/usr/include
%ifarch ppc
mkdir -p $RPM_BUILD_ROOT/usr/lib/dacs/debug
mkdir -p $RPM_BUILD_ROOT/usr/spu/lib/dacs/debug
mkdir -p $RPM_BUILD_ROOT/usr/spu/include
%else # ppc64
mkdir -p $RPM_BUILD_ROOT/usr/lib64/dacs/debug
%endif

# Copy the libraries to their final resting place
%ifarch ppc
cp -r cell/install/{spu,lib} $RPM_BUILD_ROOT/usr
%else # ppc64
cp -r cell/install/lib64 $RPM_BUILD_ROOT/usr
%endif

# Copy the headers to their final resting place
cp include/dacs.h            $RPM_BUILD_ROOT/usr/include
cp include/dacsf.h           $RPM_BUILD_ROOT/usr/include
cp include/dacsf_interface.h $RPM_BUILD_ROOT/usr/include

%ifarch ppc
#create the symbolic links in /usr/spu/include
cd $RPM_BUILD_ROOT/usr/spu/include
ln -s ../../include/dacs.h dacs.h
ln -s ../../include/dacsf.h dacsf.h
ln -s ../../include/dacsf_interface.h dacsf_interface.h
%endif

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%ifarch ppc
/usr/lib/libdacs.so\.*
%else # ppc64
/usr/lib64/libdacs.so\.*
%endif

%files -n dacs-devel
%defattr(-,root,root)
%ifarch ppc
/usr/lib/libdacs.so
/usr/lib/libdacs.a
/usr/lib/dacs/debug
/usr/spu/lib/libdacs.a
/usr/spu/lib/dacs/debug
/usr/spu/include/dacs*
%else # ppc64
/usr/lib64/libdacs.so
/usr/lib64/libdacs.a
/usr/lib64/dacs/debug
%endif
/usr/include/dacs*

